version: '3.8'

services:
  db_ims_creators_server:
    image: postgres
    restart: always
    volumes:
      - ./init_sql/init.sql:/docker-entrypoint-initdb.d/init.sql
    env_file:
      - ./.env
    environment:
      POSTGRES_DB: ${TYPEORM_DATABASE}
      POSTGRES_USER: ${TYPEORM_USERNAME}
      POSTGRES_PASSWORD: ${TYPEORM_PASSWORD}
    ports:
      - $TYPEORM_PORT:5432
